<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-onboarding.twig */
class __TwigTemplate_3c1eca4184d03be2cb1122a3fab11af9e63bab43c937fd742e8bcdec5843ab14 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "user-form-onboarding.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-onboarding.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Add New User");
    }

    // line 31
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "onboardingFormOpen";
    }

    // line 33
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 34
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <div class=\"stepwizard\" data-active=\"onboarding-step-1\">
                <div class=\"stepwizard-row setup-panel\">
                    <div class=\"stepwizard-step col-xs-3\">
                        <a href=\"#onboarding-step-1\" type=\"button\" class=\"btn btn-success btn-circle\">1</a>
                        <p><small>";
        // line 40
        echo twig_escape_filter($this->env, __("Create"), "html", null, true);
        echo "</small></p>
                    </div>
                    <div class=\"stepwizard-step col-xs-3\">
                        <a href=\"#onboarding-step-2\" type=\"button\" class=\"btn btn-default btn-circle\" disabled=\"disabled\">2</a>
                        <p><small>";
        // line 44
        echo twig_escape_filter($this->env, __("Credentials"), "html", null, true);
        echo "</small></p>
                    </div>
                    ";
        // line 46
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 46)) {
            // line 47
            echo "                    <div class=\"stepwizard-step col-xs-3\">
                        <a href=\"#onboarding-step-3\" type=\"button\" class=\"btn btn-default btn-circle\" disabled=\"disabled\">3</a>
                        <p><small>";
            // line 49
            echo twig_escape_filter($this->env, __("Sharing"), "html", null, true);
            echo "</small></p>
                    </div>
                    ";
        }
        // line 52
        echo "                </div>
            </div>
            <form id=\"userOnboardingForm\" class=\"onboarding-form form-horizontal\" role=\"form\" method=\"post\" action=\"";
        // line 54
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("user.add"), "html", null, true);
        echo "\">
                <div class=\"panel panel-default setup-content\" id=\"onboarding-step-1\" data-next=\"onboarding-step-2\">
                    <div class=\"panel-heading\">
                        <h3 class=\"panel-title\">";
        // line 57
        echo twig_escape_filter($this->env, __("Create"), "html", null, true);
        echo "</h3>
                    </div>
                    <div class=\"panel-body\">
                        <p>
                            ";
        // line 61
        echo twig_escape_filter($this->env, __("Select the role which most closely matches what you want this User to do, or select manual."), "html", null, true);
        echo "
                            &nbsp;<span class=\"fa fa-info-circle\"
                                        title=\"";
        // line 63
        echo twig_escape_filter($this->env, __("What does this mean?"), "html", null, true);
        echo "\"
                                        data-toggle=\"popover\"
                                        data-placement=\"right\"
                                        data-html=\"true\"
                                        data-content=\"";
        // line 67
        echo twig_escape_filter($this->env, __("The User account you are using has full access to the CMS and all of its features and configuration. If you are not adding an administrator type User, then it is likely you'll want to restrict and simplify what this new User can do. <br><br>You may even want to create a simplified User for your own usage to administer the system in a way tailored to your needs."), "html", null, true);
        echo "\"
                            ></span>
                        </p>
                        <div class=\"card card-body bg-light\">
                            ";
        // line 71
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["groups"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["group"]) {
            // line 72
            echo "                                <div class=\"radio\">
                                    <label>
                                        <input type=\"radio\"
                                               data-default-homepage-id=\"";
            // line 75
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["group"], "defaultHomepageId", [], "any", false, false, false, 75), "html", null, true);
            echo "\"
                                               name=\"groupId\"
                                               value=\"";
            // line 77
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["group"], "groupId", [], "any", false, false, false, 77), "html", null, true);
            echo "\">
                                        ";
            // line 78
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["group"], "group", [], "any", false, false, false, 78), "html", null, true);
            echo "<br>
                                        ";
            // line 79
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["group"], "description", [], "any", false, false, false, 79), "html", null, true);
            echo "
                                    </label>
                                </div>
                            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['group'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 83
        echo "                            <div class=\"radio\">
                                <label>
                                    <input type=\"radio\" name=\"groupId\" value=\"manual\">
                                    ";
        // line 86
        echo twig_escape_filter($this->env, __("Manually create a user"), "html", null, true);
        echo "<br>
                                    ";
        // line 87
        echo twig_escape_filter($this->env, __("Selecting this option will direct you to the Add User form where you can manually
                                    create user."), "html", null, true);
        // line 88
        echo "
                                </label>
                            </div>
                        </div>
                    </div>
                </div>

                <div class=\"panel panel-default setup-content\" style=\"display:none;\" id=\"onboarding-step-2\" ";
        // line 95
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 95)) {
            echo "data-next=\"onboarding-step-3\"";
        } else {
            echo "data-next=\"finished\"";
        }
        echo ">
                    <div class=\"panel-heading\">
                        <h3 class=\"panel-title\">";
        // line 97
        echo twig_escape_filter($this->env, __("Credentials"), "html", null, true);
        echo "</h3>
                    </div>
                    <div class=\"panel-body\">
                        ";
        // line 100
        echo twig_call_macro($macros["forms"], "macro_hidden", ["userTypeId", "3"], 100, $context, $this->getSourceContext());
        echo "
                        ";
        // line 101
        echo twig_call_macro($macros["forms"], "macro_hidden", ["libraryQuota", "0"], 101, $context, $this->getSourceContext());
        echo "
                        ";
        // line 102
        echo twig_call_macro($macros["forms"], "macro_hidden", ["homePageId", ""], 102, $context, $this->getSourceContext());
        echo "

                        ";
        // line 104
        ob_start(function () { return ''; });
        echo __("User Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Login Name of the user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_input", ["userName", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required maxlength='50'"], 106, $context, $this->getSourceContext());
        echo "

                        ";
        // line 108
        ob_start(function () { return ''; });
        echo __("Password");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Password for this user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_password", ["password", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required"], 110, $context, $this->getSourceContext());
        echo "

                        ";
        // line 112
        ob_start(function () { return ''; });
        echo __("Email");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Email Address for this user.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_email", ["email", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 114, $context, $this->getSourceContext());
        echo "
                    </div>
                </div>

                <div class=\"panel panel-default setup-content\" style=\"display:none;\" id=\"onboarding-step-3\" data-next=\"finished\">
                    <div class=\"panel-heading\">
                        <h3 class=\"panel-title\">";
        // line 120
        echo twig_escape_filter($this->env, __("Content"), "html", null, true);
        echo "</h3>
                    </div>
                    <div class=\"panel-body\">
                        ";
        // line 123
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 123)) {
            // line 124
            echo "                            <p>";
            echo twig_escape_filter($this->env, __("Select any folders the new user should have shared with them for viewing and editing."), "html", null, true);
            echo "</p>
                            <div id=\"container-folder-tree\" class=\"card card-body bg-light\"></div>
                        ";
        }
        // line 127
        echo "                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-onboarding.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  284 => 127,  277 => 124,  275 => 123,  269 => 120,  259 => 114,  254 => 113,  250 => 112,  244 => 110,  239 => 109,  235 => 108,  229 => 106,  224 => 105,  220 => 104,  215 => 102,  211 => 101,  207 => 100,  201 => 97,  192 => 95,  183 => 88,  180 => 87,  176 => 86,  171 => 83,  161 => 79,  157 => 78,  153 => 77,  148 => 75,  143 => 72,  139 => 71,  132 => 67,  125 => 63,  120 => 61,  113 => 57,  107 => 54,  103 => 52,  97 => 49,  93 => 47,  91 => 46,  86 => 44,  79 => 40,  71 => 34,  67 => 33,  60 => 31,  55 => 28,  51 => 27,  46 => 24,  44 => 25,  37 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-onboarding.twig", "/home/mgatv524/public_html/mctv/views/user-form-onboarding.twig");
    }
}
