<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displaygroup-form-members.twig */
class __TwigTemplate_7738a5e38aa71114a2c0721d591421041ad5262d038abfb6d2bdd145744c6825 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 26
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $context["randomId"] = twig_random($this->env);
        // line 27
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "displaygroup-form-members.twig", 27)->unwrap();
        // line 28
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "displaygroup-form-members.twig", 28)->unwrap();
        // line 26
        $this->parent = $this->loadTemplate("form-base.twig", "displaygroup-form-members.twig", 26);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 30
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 31
        echo "    ";
        $context["displayGroupName"] = twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroup", [], "any", false, false, false, 31);
        // line 32
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Manage Membership for %displayGroupName%"), array("%displayGroupName%" => ($context["displayGroupName"] ?? null), ));
    }

    // line 35
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 36
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 37
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 38
        echo __("Save");
        echo ", displayGroupMembersFormSubmit(\"";
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\")
";
    }

    // line 41
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "displayGroupMembersFormOpen";
    }

    // line 43
    public function block_extra($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo json_encode(($context["extra"] ?? null));
    }

    // line 45
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 46
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <div id=\"";
        // line 48
        echo twig_escape_filter($this->env, ($context["randomId"] ?? null), "html", null, true);
        echo "\" class=\"div-horizontal controlDiv\"
                 data-param=\"displayId\"
                 data-param-unassign=\"unassignDisplayId\"
                 data-url=\"";
        // line 51
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.assign.display", ["id" => twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroupId", [], "any", false, false, false, 51)]), "html", null, true);
        echo "\"
                 data-groups-param=\"displayGroupId\"
                 data-groups-param-unassign=\"unassignDisplayGroupId\"
                 data-groups-url=\"";
        // line 54
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.assign.displayGroup", ["id" => twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroupId", [], "any", false, false, false, 54)]), "html", null, true);
        echo "\"
            >
                <ul class=\"nav nav-tabs\" role=\"tablist\">
                    <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#displayTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 57
        echo __("Displays");
        echo "</span></a></li>
                    <li class=\"nav-item\"><a class=\"nav-link\" href=\"#displayGroupTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 58
        echo __("Display Groups");
        echo "</span></a></li>
                    <li class=\"nav-item\"><a class=\"nav-link\" href=\"#treeTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 59
        echo __("Relationship Tree");
        echo "</span></a></li>
                </ul>
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"displayTab\">
                        ";
        // line 63
        ob_start(function () { return ''; });
        echo __("Check or un-check the options against each display to control whether they are a member or not.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 64, $context, $this->getSourceContext());
        echo "
                        <div class=\"XiboGrid\" id=\"";
        // line 65
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"displayDGView\">
                            <div class=\"XiboFilter card mb-3 bg-light\">
                                <div class=\"FilterDiv card-body\" id=\"Filter\">
                                    <form class=\"form-inline\" id=\"displayForm\">
                                        ";
        // line 69
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                                        ";
        echo twig_call_macro($macros["inline"], "macro_input", ["display", ($context["title"] ?? null)], 70, $context, $this->getSourceContext());
        echo "
                                        
                                        ";
        // line 72
        ob_start(function () { return ''; });
        echo __("Authorised");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 73
        echo "                                        ";
        $context["values"] = [0 => ["id" =>  -1, "value" => ""], 1 => ["id" => 1, "value" => "Yes"], 2 => ["id" => 0, "value" => "No"]];
        // line 74
        echo "                                        ";
        echo twig_call_macro($macros["inline"], "macro_dropdown", ["authorised", "single", ($context["title"] ?? null),  -1, ($context["values"] ?? null), "id", "value"], 74, $context, $this->getSourceContext());
        echo "

                                        ";
        // line 76
        echo twig_call_macro($macros["inline"], "macro_hidden", ["displayGroupIdMembers", twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroupId", [], "any", false, false, false, 76)], 76, $context, $this->getSourceContext());
        echo "
                                    </form>
                                </div>
                            </div>
                            <table id=\"displaysMembersTable\" class=\"table table-bordered membersTable\">
                                <thead>
                                    <tr>
                                        <th>";
        // line 83
        echo __("ID");
        echo "</th>
                                        <th>";
        // line 84
        echo __("Display");
        echo "</th>
                                        <th>";
        // line 85
        echo __("Status");
        echo "</th>
                                        <th>";
        // line 86
        echo __("Logged In");
        echo "</th>
                                        <th>";
        // line 87
        echo __("Version");
        echo "</th>
                                        <th>";
        // line 88
        echo __("Member");
        echo "</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class=\"tab-pane\" id=\"displayGroupTab\">
                        ";
        // line 97
        ob_start(function () { return ''; });
        echo __("Check or un-check the options against each display group to control whether they are a member or not.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 98, $context, $this->getSourceContext());
        echo "
                        <div class=\"XiboGrid\" id=\"";
        // line 99
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"displayGroupDGView\">
                            <div class=\"XiboFilter card mb-3 bg-light\">
                                <div class=\"FilterDiv card-body\" id=\"Filter\">
                                    <form class=\"form-inline\" id=\"displayGroupForm\">
                                        ";
        // line 103
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                                        ";
        echo twig_call_macro($macros["inline"], "macro_input", ["displayGroup", ($context["title"] ?? null)], 104, $context, $this->getSourceContext());
        echo "

                                        ";
        // line 106
        echo twig_call_macro($macros["inline"], "macro_hidden", ["displayGroupIdMembers", twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroupId", [], "any", false, false, false, 106)], 106, $context, $this->getSourceContext());
        echo "
                                        ";
        // line 107
        echo twig_call_macro($macros["forms"], "macro_hidden", ["isDynamic", 0], 107, $context, $this->getSourceContext());
        echo "
                                    </form>
                                </div>
                            </div>
                            <table id=\"displaysGroupsMembersTable\" class=\"table table-bordered membersTable\">
                                <thead>
                                    <tr>
                                        <th>";
        // line 114
        echo __("ID");
        echo "</th>
                                        <th>";
        // line 115
        echo __("Display Group");
        echo "</th>
                                        <th>";
        // line 116
        echo __("Member");
        echo "</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class=\"tab-pane\" id=\"treeTab\">
                        ";
        // line 125
        ob_start(function () { return ''; });
        echo __("Below is the family tree for this Display Group.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 126, $context, $this->getSourceContext());
        echo "

                        ";
        // line 128
        ob_start(function () { return ''; });
        echo __("The Display Group being edited is in bold. The list is ordered so that items above the current Display Group are its ancestors and items below are its descendants.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 129, $context, $this->getSourceContext());
        echo "
                        <ul>
                            ";
        // line 131
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["tree"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["group"]) {
            // line 132
            echo "                                ";
            if ((0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["group"], "displayGroup", [], "any", false, false, false, 132), twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroup", [], "any", false, false, false, 132)))) {
                // line 133
                echo "                                    <li><strong>";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["group"], "displayGroup", [], "any", false, false, false, 133), "html", null, true);
                echo "</strong></li>
                                ";
            } else {
                // line 135
                echo "                                    <li><a class=\"XiboFormButton\" href=\"";
                echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.members.form", ["id" => twig_get_attribute($this->env, $this->source, $context["group"], "displayGroupId", [], "any", false, false, false, 135)]), "html", null, true);
                echo "\">";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["group"], "displayGroup", [], "any", false, false, false, 135), "html", null, true);
                echo "</a></li>
                                ";
            }
            // line 137
            echo "                            ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['group'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 138
        echo "                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "displaygroup-form-members.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  335 => 138,  329 => 137,  321 => 135,  315 => 133,  312 => 132,  308 => 131,  302 => 129,  298 => 128,  292 => 126,  288 => 125,  276 => 116,  272 => 115,  268 => 114,  258 => 107,  254 => 106,  248 => 104,  244 => 103,  237 => 99,  232 => 98,  228 => 97,  216 => 88,  212 => 87,  208 => 86,  204 => 85,  200 => 84,  196 => 83,  186 => 76,  180 => 74,  177 => 73,  173 => 72,  167 => 70,  163 => 69,  156 => 65,  151 => 64,  147 => 63,  140 => 59,  136 => 58,  132 => 57,  126 => 54,  120 => 51,  114 => 48,  110 => 46,  106 => 45,  99 => 43,  92 => 41,  84 => 38,  80 => 37,  73 => 36,  69 => 35,  64 => 32,  61 => 31,  57 => 30,  52 => 26,  50 => 28,  48 => 27,  46 => 24,  39 => 26,);
    }

    public function getSourceContext()
    {
        return new Source("", "displaygroup-form-members.twig", "/home/mgatv524/public_html/mctv/views/displaygroup-form-members.twig");
    }
}
