<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* usergroup-page.twig */
class __TwigTemplate_c25eefcdb02d7fb6065c72a45cf29c10b0c896af6a7faa872e4ca92b41f498be extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 24
        $macros["inline"] = $this->macros["inline"] = $this->loadTemplate("inline.twig", "usergroup-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "usergroup-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, __("User Groups"), "html", null, true);
        echo " | ";
    }

    // line 28
    public function block_actionMenu($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    <div class=\"widget-action-menu pull-right\">
        ";
        // line 30
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "isSuperAdmin", [], "method", false, false, false, 30)) {
            // line 31
            echo "            <button class=\"btn btn-success XiboFormButton\" title=\"";
            echo __("Add a new User Group");
            echo "\" href=\"";
            echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("group.add.form"), "html", null, true);
            echo "\"><i class=\"fa fa-users\" aria-hidden=\"true\"></i> ";
            echo __("Add User Group");
            echo "</button>
        ";
        }
        // line 33
        echo "        <button class=\"btn btn-primary refresh-grid\" title=\"";
        echo __("Refresh the Table");
        echo "\" href=\"#\"><i class=\"fa fa-refresh\" aria-hidden=\"true\"></i> ";
        echo __("Refresh");
        echo "</button>
    </div>
";
    }

    // line 38
    public function block_pageContent($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 39
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 40
        echo __("User Groups");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 42
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"userGroupView\">
                <div class=\"XiboFilter card mb-3 bg-light\">
                    <div class=\"FilterDiv card-body\" id=\"Filter\">
                        <form class=\"form-inline\">

                            <div class=\"form-group mr-1 mb-1\">
                                <label class=\"control-label mr-1\" title=\"\" for=\"userGroup\" accesskey=\"\">";
        // line 48
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"userGroup\" type=\"text\" id=\"userGroup\" value=\"\">
                                        <div class=\"input-group-append input-group-addon\">
                                            <div class=\"input-group-text\">
                                                <input title=\"";
        // line 54
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class=\"XiboData card pt-3\">
                    <table id=\"userGroups\" class=\"table table-striped\" data-state-preference-name=\"userGroupGrid\">
                        <thead>
                            <tr>
                                <th>";
        // line 67
        echo __("User Group");
        echo "</th>
                                <th>";
        // line 68
        echo __("Description");
        echo "</th>
                                <th>";
        // line 69
        echo __("Library Quota");
        echo "</th>
                                <th>";
        // line 70
        echo __("Receive System Notifications?");
        echo "</th>
                                <th>";
        // line 71
        echo __("Receive Display Notifications?");
        echo "</th>
                                <th>";
        // line 72
        echo __("Is shown for Add User?");
        echo "</th>
                                <th class=\"rowMenu\"></th>
                            </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 86
    public function block_javaScript($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 87
        echo "    <script type=\"text/javascript\">
        \$(document).ready(function() {
            var table = \$(\"#userGroups\").DataTable({
                \"language\": dataTablesLanguage,
                dom: dataTablesTemplate,
                serverSide: true,
                stateSave: true,
                stateDuration: 0,
                responsive: true,
                stateLoadCallback: dataTableStateLoadCallback,
                stateSaveCallback: dataTableStateSaveCallback,
                searchDelay: 3000,
                filter: false,
                \"order\": [[0, \"asc\"]],
                ajax: {
                    url: \"";
        // line 102
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("group.search"), "html", null, true);
        echo "\",
                    \"data\": function (d) {
                        \$.extend(d, \$(\"#userGroups\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    {\"data\": \"group\", \"render\": dataTableSpacingPreformatted, responsivePriority: 2 },
                    {\"data\": \"description\", \"visible\": false },
                    {
                        \"name\": \"libraryQuota\",
                        \"data\": null,
                        \"render\": {\"_\": \"libraryQuota\", \"display\": \"libraryQuotaFormatted\", \"sort\": \"libraryQuota\"}
                    },
                    {
                        \"data\": \"isSystemNotification\",
                        \"render\": dataTableTickCrossColumn
                    },
                    {
                        \"data\": \"isDisplayNotification\",
                        \"render\": dataTableTickCrossColumn
                    },
                    {
                        \"data\": \"isShownForAddUser\",
                        \"render\": dataTableTickCrossColumn
                    },
                    {
                        \"orderable\": false,
                        responsivePriority: 1,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });

            table.on('draw', dataTableDraw);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#userGroups_wrapper').find('.dataTables_buttons'));

            \$(\".refresh-grid\").click(function() {
                table.ajax.reload();
            });
        });

        function handleLibraryQuotaField(libraryQuotaField, libraryQuotaUnitsField) {
            var libraryQuota = libraryQuotaField.val();

            if (libraryQuotaUnitsField.val() === 'mb') {
                libraryQuota = libraryQuota * 1024;
            } else if (libraryQuotaUnitsField.val() === 'gb') {
                libraryQuota = libraryQuota * 1024 * 1024;
            }

            // Set the field
            libraryQuotaField.prop('value', libraryQuota);
        }

        function userGroupFormOpen() {
            // Bind to the add form submit
            \$(\".UserGroupForm\").validate({
                submitHandler: function (form) {
                    // Grab and alter the value in the library quota field
                    handleLibraryQuotaField(
                        \$(form).find(\"input[name=libraryQuota]\"),
                        \$(form).find(\"select[name=libraryQuotaUnits]\")
                    );

                    XiboFormSubmit(form);
                },
                errorElement: \"span\",
                highlight: function(element) {
                    \$(element).closest('.form-group').removeClass('has-success').addClass('has-error');
                },
                success: function(element) {
                    \$(element).closest('.form-group').removeClass('has-error').addClass('has-success');
                },
                invalidHandler: function(event, validator) {
                    // Remove the spinner
                    \$(this).closest(\".modal-dialog\").find(\".saving\").remove();
                    // https://github.com/xibosignage/xibo/issues/1589
                    \$(this).closest(\".modal-dialog\").find(\".save-button\").removeClass(\"disabled\");
                }
            });
        }
    </script>
";
    }

    public function getTemplateName()
    {
        return "usergroup-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  193 => 102,  176 => 87,  172 => 86,  155 => 72,  151 => 71,  147 => 70,  143 => 69,  139 => 68,  135 => 67,  119 => 54,  110 => 48,  101 => 42,  96 => 40,  93 => 39,  89 => 38,  79 => 33,  69 => 31,  67 => 30,  64 => 29,  60 => 28,  52 => 26,  47 => 23,  45 => 24,  38 => 23,);
    }

    public function getSourceContext()
    {
        return new Source("", "usergroup-page.twig", "/home/mgatv524/public_html/mctv/views/usergroup-page.twig");
    }
}
