<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* usergroup-form-acl.twig */
class __TwigTemplate_897ce2b435ab390eadf2df6a2ca576e6f33f79ed6672122a610623039d36ecba extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "usergroup-form-acl.twig", 25)->unwrap();
        // line 26
        $macros["flow"] = $this->macros["flow"] = $this;
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "usergroup-form-acl.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 28
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 29
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Turn Features on/off for %group%"), array("%group%" => ($context["group"] ?? null), ));
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 33
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 34
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 35
        echo __("Save");
        echo ", \$(\"#AclForm\").submit()
";
    }

    // line 38
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "featureAclFormOpen";
    }

    // line 77
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 78
        echo "
    <div class=\"row\">
        <div class=\"col-md-12\">

            ";
        // line 82
        ob_start(function () { return ''; });
        echo __("Check or un-check the options against each item to control whether access to a Feature is allowed or not.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 83
        echo "            ";
        echo twig_call_macro($macros["forms"], "macro_message", [($context["helpText"] ?? null)], 83, $context, $this->getSourceContext());
        echo "

            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"nav-item\"><a class=\"nav-link active\" href=\"#mediaTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 86
        echo __("Content");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#displaysTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 87
        echo __("Displays");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#homepagesTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 88
        echo __("Reports");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#usersTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 89
        echo __("Users");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#systemTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 90
        echo __("System");
        echo "</span></a></li>
                <li class=\"nav-item\"><a class=\"nav-link\" href=\"#customTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 91
        echo __("Custom");
        echo "</span></a></li>
            </ul>
            <form id=\"AclForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 93
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("group.acl", ["id" => ($context["groupId"] ?? null)]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane\" id=\"homepagesTab\">
                        <table class=\"table table-bordered\">
                            <thead>
                                <tr>
                                    <th>";
        // line 99
        echo twig_escape_filter($this->env, __("Feature"), "html", null, true);
        echo "</th>
                                    <th>
                                        ";
        // line 101
        echo __("Enabled?");
        // line 102
        echo "                                        <i class=\"fa fa-info-circle\" title=\"";
        echo "Check this box to give this User access to this Feature.";
        echo "\"></i>
                                    </th>
                                    ";
        // line 104
        if ((0 === twig_compare(($context["isUserSpecific"] ?? null), 1))) {
            // line 105
            echo "                                        <th>
                                            ";
            // line 106
            echo __("Inherited?");
            // line 107
            echo "                                            <i class=\"fa fa-info-circle\" title=\"";
            echo "If checked this User already has access to this Feature due to the User Groups they belong to.";
            echo "\"></i>
                                        </th>
                                    ";
        }
        // line 110
        echo "                                </tr>
                            </thead>

                            <tbody class=\"feature-group\">
                                ";
        // line 114
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Reporting"), __("Run reporting on a variety of different KPI's and metrics applicable to the Features enabled."), ($context["isUserSpecific"] ?? null)], 114, $context, $this->getSourceContext());
        echo "
                                ";
        // line 115
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "reporting"], "method", false, false, false, 115));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 116
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 116), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 116), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 116, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 118
        echo "                            </tbody>
                        </table>
                    </div>
                    <div class=\"tab-pane active\" id=\"mediaTab\">
                        <table class=\"table table-bordered\">
                            <thead>
                                <tr>
                                    <th>";
        // line 125
        echo twig_escape_filter($this->env, __("Feature"), "html", null, true);
        echo "</th>
                                    <th>
                                        ";
        // line 127
        echo __("Enabled?");
        // line 128
        echo "                                        <i class=\"fa fa-info-circle\" title=\"";
        echo "Check this box to give this User access to this Feature.";
        echo "\"></i>
                                    </th>
                                    ";
        // line 130
        if ((0 === twig_compare(($context["isUserSpecific"] ?? null), 1))) {
            // line 131
            echo "                                        <th>
                                            ";
            // line 132
            echo __("Inherited?");
            // line 133
            echo "                                            <i class=\"fa fa-info-circle\" title=\"";
            echo "If checked this User already has access to this Feature due to the User Groups they belong to.";
            echo "\"></i>
                                        </th>
                                    ";
        }
        // line 136
        echo "                                </tr>
                            </thead>

                            <tbody class=\"feature-group\">
                                ";
        // line 140
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Folders"), __("Organise content sharing with Folders"), ($context["isUserSpecific"] ?? null)], 140, $context, $this->getSourceContext());
        echo "
                                ";
        // line 141
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "folders"], "method", false, false, false, 141));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 142
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 142), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 142), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 142, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 144
        echo "                            </tbody>

                            <tbody class=\"feature-group\">
                                ";
        // line 147
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Library"), __("Media Library that stores file based content for use in Layouts, DataSets and Playlists"), ($context["isUserSpecific"] ?? null)], 147, $context, $this->getSourceContext());
        echo "
                                ";
        // line 148
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "library"], "method", false, false, false, 148));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 149
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 149), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 149), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 149, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 151
        echo "                                ";
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "playlist-design"], "method", false, false, false, 151));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 152
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 152), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 152), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 152, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 154
        echo "                            </tbody>

                            <tbody class=\"feature-group\">
                                ";
        // line 157
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Layout Design"), __("Allow content creators to create Layouts - which hold the content you want to show on your Displays"), ($context["isUserSpecific"] ?? null)], 157, $context, $this->getSourceContext());
        echo "
                                ";
        // line 158
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "layout-design"], "method", false, false, false, 158));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 159
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 159), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 159), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 159, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 161
        echo "                            </tbody>

                            <tbody class=\"feature-group\">
                                ";
        // line 164
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Campaigns"), __("Ensure ordering by grouping Layouts into Campaigns"), ($context["isUserSpecific"] ?? null)], 164, $context, $this->getSourceContext());
        echo "
                                ";
        // line 165
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "campaigns"], "method", false, false, false, 165));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 166
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 166), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 166), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 166, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 168
        echo "                            </tbody>

                            <tbody class=\"feature-group\">
                                ";
        // line 171
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Tagging"), __("Organise and filter items by using Tags"), ($context["isUserSpecific"] ?? null)], 171, $context, $this->getSourceContext());
        echo "
                                ";
        // line 172
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "tagging"], "method", false, false, false, 172));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 173
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 173), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 173), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 173, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 175
        echo "                            </tbody>
                        </table>
                    </div>
                    <div class=\"tab-pane\" id=\"displaysTab\">
                        <table class=\"table table-bordered\">
                            <thead>
                                <tr>
                                    <th>";
        // line 182
        echo twig_escape_filter($this->env, __("Feature"), "html", null, true);
        echo "</th>
                                    <th>
                                        ";
        // line 184
        echo __("Enabled?");
        // line 185
        echo "                                        <i class=\"fa fa-info-circle\" title=\"";
        echo "Check this box to give this User access to this Feature.";
        echo "\"></i>
                                    </th>
                                    ";
        // line 187
        if ((0 === twig_compare(($context["isUserSpecific"] ?? null), 1))) {
            // line 188
            echo "                                        <th>
                                            ";
            // line 189
            echo __("Inherited?");
            // line 190
            echo "                                            <i class=\"fa fa-info-circle\" title=\"";
            echo "If checked this User already has access to this Feature due to the User Groups they belong to.";
            echo "\"></i>
                                        </th>
                                    ";
        }
        // line 193
        echo "                                </tr>
                            </thead>

                            <tbody class=\"feature-group\">
                                ";
        // line 197
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Scheduling"), __("Create and manage Scheduled Events for Displays and Display Groups"), ($context["isUserSpecific"] ?? null)], 197, $context, $this->getSourceContext());
        echo "
                                ";
        // line 198
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "scheduling"], "method", false, false, false, 198));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 199
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 199), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 199), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 199, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 201
        echo "                            </tbody>

                            <tbody class=\"feature-group\">
                                ";
        // line 204
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Display Management"), __("Connect and manage Displays."), ($context["isUserSpecific"] ?? null)], 204, $context, $this->getSourceContext());
        echo "
                                ";
        // line 205
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "displays"], "method", false, false, false, 205));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 206
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 206), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 206), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 206, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 208
        echo "                            </tbody>

                        </table>
                    </div>
                    <div class=\"tab-pane\" id=\"usersTab\">
                        <table class=\"table table-bordered\">
                            <thead>
                                <tr>
                                    <th>";
        // line 216
        echo twig_escape_filter($this->env, __("Feature"), "html", null, true);
        echo "</th>
                                    <th>
                                        ";
        // line 218
        echo __("Enabled?");
        // line 219
        echo "                                        <i class=\"fa fa-info-circle\" title=\"";
        echo "Check this box to give this User access to this Feature.";
        echo "\"></i>
                                    </th>
                                    ";
        // line 221
        if ((0 === twig_compare(($context["isUserSpecific"] ?? null), 1))) {
            // line 222
            echo "                                        <th>
                                            ";
            // line 223
            echo __("Inherited?");
            // line 224
            echo "                                            <i class=\"fa fa-info-circle\" title=\"";
            echo "If checked this User already has access to this Feature due to the User Groups they belong to.";
            echo "\"></i>
                                        </th>
                                    ";
        }
        // line 227
        echo "                                </tr>
                            </thead>

                            <tbody class=\"feature-group\">
                                ";
        // line 231
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("User functions"), __("User profile preferences for the logged in User"), ($context["isUserSpecific"] ?? null)], 231, $context, $this->getSourceContext());
        echo "
                                ";
        // line 232
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "users"], "method", false, false, false, 232));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 233
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 233), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 233), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 233, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 235
        echo "                            </tbody>

                            <tbody class=\"feature-group\">
                                ";
        // line 238
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Notifications"), __("Notification Centre allows for users to to create/edit Notifications sent to other Users or used in Layouts"), ($context["isUserSpecific"] ?? null)], 238, $context, $this->getSourceContext());
        echo "
                                ";
        // line 239
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "notifications"], "method", false, false, false, 239));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 240
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 240), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 240), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 240, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 242
        echo "                            </tbody>

                            <tbody class=\"feature-group\">
                                ";
        // line 245
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("User Management"), __("Manage Users that can authenticate with the CMS. Create and organise them into User Groups to enable 'Group Features'"), ($context["isUserSpecific"] ?? null)], 245, $context, $this->getSourceContext());
        echo "
                                ";
        // line 246
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "users-management"], "method", false, false, false, 246));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 247
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 247), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 247), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 247, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 249
        echo "                            </tbody>

                            <tbody class=\"feature-group\">
                                ";
        // line 252
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Dashboards"), __("Dashboards bring together key features for Users"), ($context["isUserSpecific"] ?? null)], 252, $context, $this->getSourceContext());
        echo "
                                ";
        // line 253
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "dashboards"], "method", false, false, false, 253));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 254
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 254), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 254), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 254, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 256
        echo "                            </tbody>

                        </table>
                    </div>
                    <div class=\"tab-pane\" id=\"systemTab\">
                        <table class=\"table table-bordered\">
                            <thead>
                                <tr>
                                    <th>";
        // line 264
        echo twig_escape_filter($this->env, __("Feature"), "html", null, true);
        echo "</th>
                                    <th>
                                        ";
        // line 266
        echo __("Enabled?");
        // line 267
        echo "                                        <i class=\"fa fa-info-circle\" title=\"";
        echo "Check this box to give this User access to this Feature.";
        echo "\"></i>
                                    </th>
                                    ";
        // line 269
        if ((0 === twig_compare(($context["isUserSpecific"] ?? null), 1))) {
            // line 270
            echo "                                        <th>
                                            ";
            // line 271
            echo __("Inherited?");
            // line 272
            echo "                                            <i class=\"fa fa-info-circle\" title=\"";
            echo "If checked this User already has access to this Feature due to the User Groups they belong to.";
            echo "\"></i>
                                        </th>
                                    ";
        }
        // line 275
        echo "                                </tr>
                            </thead>

                            <tbody class=\"feature-group\">
                                ";
        // line 279
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Configuration"), __("Restricted high level access advised - potentially damaging system settings"), ($context["isUserSpecific"] ?? null)], 279, $context, $this->getSourceContext());
        echo "
                                ";
        // line 280
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "system"], "method", false, false, false, 280));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 281
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 281), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 281), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 281, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 283
        echo "                            </tbody>

                            <tbody class=\"feature-group\">
                                ";
        // line 286
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Troubleshooting"), __("Tools to diagnose problems when seeking help"), ($context["isUserSpecific"] ?? null)], 286, $context, $this->getSourceContext());
        echo "
                                ";
        // line 287
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "troubleshooting"], "method", false, false, false, 287));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 288
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 288), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 288), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 288, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 290
        echo "                            </tbody>

                        </table>
                    </div>
                    <div class=\"tab-pane\" id=\"customTab\">
                        <table class=\"table table-bordered\">
                            <thead>
                                <tr>
                                    <th>";
        // line 298
        echo twig_escape_filter($this->env, __("Feature"), "html", null, true);
        echo "</th>
                                    <th>
                                        ";
        // line 300
        echo __("Enabled?");
        // line 301
        echo "                                        <i class=\"fa fa-info-circle\" title=\"";
        echo "Check this box to give this User access to this Feature.";
        echo "\"></i>
                                    </th>
                                    ";
        // line 303
        if ((0 === twig_compare(($context["isUserSpecific"] ?? null), 1))) {
            // line 304
            echo "                                        <th>
                                            ";
            // line 305
            echo __("Inherited?");
            // line 306
            echo "                                            <i class=\"fa fa-info-circle\" title=\"";
            echo "If checked this User already has access to this Feature due to the User Groups they belong to.";
            echo "\"></i>
                                        </th>
                                    ";
        }
        // line 309
        echo "                                </tr>
                            </thead>

                            <tbody class=\"feature-group\">
                                ";
        // line 313
        echo twig_call_macro($macros["flow"], "macro_featureTitleRow", [__("Custom"), __("Third party extensions to the platform."), ($context["isUserSpecific"] ?? null)], 313, $context, $this->getSourceContext());
        echo "
                                ";
        // line 314
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(twig_get_attribute($this->env, $this->source, ($context["userGroupFactory"] ?? null), "getFeaturesByGroup", [0 => "custom"], "method", false, false, false, 314));
        foreach ($context['_seq'] as $context["_key"] => $context["customFeature"]) {
            // line 315
            echo "                                    ";
            echo twig_call_macro($macros["flow"], "macro_featureRow", [twig_get_attribute($this->env, $this->source, $context["customFeature"], "feature", [], "any", false, false, false, 315), twig_get_attribute($this->env, $this->source, $context["customFeature"], "title", [], "any", false, false, false, 315), ($context["features"] ?? null), ($context["inheritedFeatures"] ?? null), ($context["isUserSpecific"] ?? null)], 315, $context, $this->getSourceContext());
            echo "
                                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['customFeature'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 317
        echo "                            </tbody>

                        </table>
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    // line 40
    public function macro_hasFeature($__features__ = null, $__feature__ = null, ...$__varargs__)
    {
        $macros = $this->macros;
        $context = $this->env->mergeGlobals([
            "features" => $__features__,
            "feature" => $__feature__,
            "varargs" => $__varargs__,
        ]);

        $blocks = [];

        ob_start(function () { return ''; });
        try {
            // line 41
            echo "    ";
            if (twig_in_filter(($context["feature"] ?? null), ($context["features"] ?? null))) {
                // line 42
                echo "        checked
    ";
            }

            return ('' === $tmp = ob_get_contents()) ? '' : new Markup($tmp, $this->env->getCharset());
        } finally {
            ob_end_clean();
        }
    }

    // line 46
    public function macro_featureTitleRow($__title__ = null, $__description__ = null, $__isUserSpecific__ = null, ...$__varargs__)
    {
        $macros = $this->macros;
        $context = $this->env->mergeGlobals([
            "title" => $__title__,
            "description" => $__description__,
            "isUserSpecific" => $__isUserSpecific__,
            "varargs" => $__varargs__,
        ]);

        $blocks = [];

        ob_start(function () { return ''; });
        try {
            // line 47
            echo "    <tr class=\"feature-group-row\">
        <td class=\"feature-group-header-cell closed\">
            <strong>";
            // line 49
            echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
            echo "</strong> <i class=\"fa fa-arrow-circle-down\"></i>
            <p class=\"feature-group-description\">
                ";
            // line 51
            echo twig_escape_filter($this->env, ($context["description"] ?? null), "html", null, true);
            echo "
            </p>
        </td>
        <td><input class=\"feature-select-all\" type=\"checkbox\" /></td>
        ";
            // line 55
            if ((0 === twig_compare(($context["isUserSpecific"] ?? null), 1))) {
                // line 56
                echo "            <td>
                <input type=\"checkbox\" class=\"inherit-group-all\" disabled>
            </td>
        ";
            }
            // line 60
            echo "    </tr>
";

            return ('' === $tmp = ob_get_contents()) ? '' : new Markup($tmp, $this->env->getCharset());
        } finally {
            ob_end_clean();
        }
    }

    // line 63
    public function macro_featureRow($__feature__ = null, $__title__ = null, $__features__ = null, $__inheritedFeatures__ = null, $__isUserSpecific__ = null, ...$__varargs__)
    {
        $macros = $this->macros;
        $context = $this->env->mergeGlobals([
            "feature" => $__feature__,
            "title" => $__title__,
            "features" => $__features__,
            "inheritedFeatures" => $__inheritedFeatures__,
            "isUserSpecific" => $__isUserSpecific__,
            "varargs" => $__varargs__,
        ]);

        $blocks = [];

        ob_start(function () { return ''; });
        try {
            // line 64
            echo "    <tr class=\"feature-row\">
        <td>";
            // line 65
            echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
            echo "</td>
        <td>
            <input type=\"checkbox\" name=\"features[]\" value=\"";
            // line 67
            echo twig_escape_filter($this->env, ($context["feature"] ?? null), "html", null, true);
            echo "\" ";
            echo twig_call_macro($macros["flow"], "macro_hasFeature", [($context["features"] ?? null), ($context["feature"] ?? null)], 67, $context, $this->getSourceContext());
            echo ">
        </td>
        ";
            // line 69
            if ((0 === twig_compare(($context["isUserSpecific"] ?? null), 1))) {
                // line 70
                echo "            <td>
                <input type=\"checkbox\" class=\"inherit-group\" disabled ";
                // line 71
                echo twig_call_macro($macros["flow"], "macro_hasFeature", [($context["inheritedFeatures"] ?? null), ($context["feature"] ?? null)], 71, $context, $this->getSourceContext());
                echo ">
            </td>
        ";
            }
            // line 74
            echo "    </tr>
";

            return ('' === $tmp = ob_get_contents()) ? '' : new Markup($tmp, $this->env->getCharset());
        } finally {
            ob_end_clean();
        }
    }

    public function getTemplateName()
    {
        return "usergroup-form-acl.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  838 => 74,  832 => 71,  829 => 70,  827 => 69,  820 => 67,  815 => 65,  812 => 64,  795 => 63,  785 => 60,  779 => 56,  777 => 55,  770 => 51,  765 => 49,  761 => 47,  746 => 46,  735 => 42,  732 => 41,  718 => 40,  706 => 317,  697 => 315,  693 => 314,  689 => 313,  683 => 309,  676 => 306,  674 => 305,  671 => 304,  669 => 303,  663 => 301,  661 => 300,  656 => 298,  646 => 290,  637 => 288,  633 => 287,  629 => 286,  624 => 283,  615 => 281,  611 => 280,  607 => 279,  601 => 275,  594 => 272,  592 => 271,  589 => 270,  587 => 269,  581 => 267,  579 => 266,  574 => 264,  564 => 256,  555 => 254,  551 => 253,  547 => 252,  542 => 249,  533 => 247,  529 => 246,  525 => 245,  520 => 242,  511 => 240,  507 => 239,  503 => 238,  498 => 235,  489 => 233,  485 => 232,  481 => 231,  475 => 227,  468 => 224,  466 => 223,  463 => 222,  461 => 221,  455 => 219,  453 => 218,  448 => 216,  438 => 208,  429 => 206,  425 => 205,  421 => 204,  416 => 201,  407 => 199,  403 => 198,  399 => 197,  393 => 193,  386 => 190,  384 => 189,  381 => 188,  379 => 187,  373 => 185,  371 => 184,  366 => 182,  357 => 175,  348 => 173,  344 => 172,  340 => 171,  335 => 168,  326 => 166,  322 => 165,  318 => 164,  313 => 161,  304 => 159,  300 => 158,  296 => 157,  291 => 154,  282 => 152,  277 => 151,  268 => 149,  264 => 148,  260 => 147,  255 => 144,  246 => 142,  242 => 141,  238 => 140,  232 => 136,  225 => 133,  223 => 132,  220 => 131,  218 => 130,  212 => 128,  210 => 127,  205 => 125,  196 => 118,  187 => 116,  183 => 115,  179 => 114,  173 => 110,  166 => 107,  164 => 106,  161 => 105,  159 => 104,  153 => 102,  151 => 101,  146 => 99,  137 => 93,  132 => 91,  128 => 90,  124 => 89,  120 => 88,  116 => 87,  112 => 86,  105 => 83,  101 => 82,  95 => 78,  91 => 77,  84 => 38,  78 => 35,  74 => 34,  67 => 33,  63 => 32,  58 => 29,  54 => 28,  49 => 24,  47 => 26,  45 => 25,  38 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "usergroup-form-acl.twig", "/home/mgatv524/public_html/mctv/views/usergroup-form-acl.twig");
    }
}
