<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displaygroup-form-edit.twig */
class __TwigTemplate_055f862c421d77295943d3711f5b088319d51600fad4ffd272440dcc6bff2ef8 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formFieldActions' => [$this, 'block_formFieldActions'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 25
        $macros["forms"] = $this->macros["forms"] = $this->loadTemplate("forms.twig", "displaygroup-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "displaygroup-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        echo "    ";
        echo __("Edit Display Group");
    }

    // line 31
    public function block_formButtons($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 32
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")  
    ";
        // line 33
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Save");
        echo ", \$(\"#displayGroupEditForm\").submit()
";
    }

    // line 37
    public function block_formFieldActions($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 38
        echo "    [{
    \"field\": \"isDynamic\",
    \"trigger\": \"init\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"isDynamic\",
    \"trigger\": \"change\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"isDynamic\",
    \"trigger\": \"init\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"\" }
    }
    },{
    \"field\": \"isDynamic\",
    \"trigger\": \"change\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"\" }
    }
    }]
";
    }

    // line 73
    public function block_callBack($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "displayGroupFormOpen";
    }

    // line 75
    public function block_formHtml($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 76
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayGroupEditForm\" class=\"XiboForm form-horizontal displayGroupForm\" method=\"put\" action=\"";
        // line 78
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("displayGroup.edit", ["id" => twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroupId", [], "any", false, false, false, 78)]), "html", null, true);
        echo "\" data-gettag=\"";
        echo twig_escape_filter($this->env, $this->env->getRuntime('Slim\Views\TwigRuntimeExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\">

                ";
        // line 80
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "folder.view"], "method", false, false, false, 80)) {
            // line 81
            echo "                <div class=\"form-group row\">
                    <label class=\"col-sm-2 control-label\">";
            // line 82
            echo __("Current Folder");
            echo "</label>
                    <div class=\"col-sm-10\" style=\"padding-top: 7px\">
                        <span id=\"originalFormFolder\"></span>
                    </div>
                </div>

                <div class=\"form-group row\">
                    <label class=\"col-sm-2 control-label\">";
            // line 89
            echo __("Move to Selected Folder:");
            echo "</label>
                    <div class=\"col-sm-10\">
                        <button type=\"button\" class=\"btn btn-info\" id=\"select-folder-button\" data-toggle=\"modal\" data-target=\"#folder-tree-form-modal\">";
            // line 91
            echo __("Select Folder");
            echo "</button>
                        <span id=\"selectedFormFolder\"></span>
                    </div>
                </div>
                ";
            // line 95
            echo twig_call_macro($macros["forms"], "macro_hidden", ["folderId", twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "folderId", [], "any", false, false, false, 95)], 95, $context, $this->getSourceContext());
            echo "
                ";
        }
        // line 97
        echo "
                ";
        // line 98
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this Display Group");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 100
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["displayGroup", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "displayGroup", [], "any", false, false, false, 100), ($context["helpText"] ?? null)], 100, $context, $this->getSourceContext());
        echo "

                ";
        // line 102
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                ";
        ob_start(function () { return ''; });
        echo __("A short description of this Display Group");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_input", ["description", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "description", [], "any", false, false, false, 104), ($context["helpText"] ?? null)], 104, $context, $this->getSourceContext());
        echo "

                ";
        // line 106
        if (twig_get_attribute($this->env, $this->source, ($context["currentUser"] ?? null), "featureEnabled", [0 => "tag.tagging"], "method", false, false, false, 106)) {
            // line 107
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 108
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Tags for this Display Group - Comma separated string of Tags or Tag|Value format. If you choose a Tag that has associated values, they will be shown for selection below.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 109
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["tags", ($context["title"] ?? null), ($context["tags"] ?? null), ($context["helpText"] ?? null), "tags-with-value"], 109, $context, $this->getSourceContext());
            echo "

                    <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

                    ";
            // line 113
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 114
            echo "                    ";
            echo twig_call_macro($macros["forms"], "macro_dropdown", ["tagValue", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "key", "value"], 114, $context, $this->getSourceContext());
            echo "

                    <div id=\"tagValueContainer\">
                        ";
            // line 117
            ob_start(function () { return ''; });
            echo __("Tag value");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 118
            echo "                        ";
            ob_start(function () { return ''; });
            echo __("Please provide the value for this Tag and confirm by pressing enter on your keyboard.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 119
            echo "                        ";
            echo twig_call_macro($macros["forms"], "macro_input", ["tagValueInput", ($context["title"] ?? null), "", ($context["helpText"] ?? null)], 119, $context, $this->getSourceContext());
            echo "
                    </div>

                    <div id=\"tagValueRequired\" class=\"alert alert-info\">
                        <p>";
            // line 123
            echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
            echo "</p>
                    </div>
                ";
        }
        // line 126
        echo "
                ";
        // line 127
        ob_start(function () { return ''; });
        echo __("Dynamic Group?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 128
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Are the members of this group dynamic?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                ";
        echo twig_call_macro($macros["forms"], "macro_checkbox", ["isDynamic", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "isDynamic", [], "any", false, false, false, 129), ($context["helpText"] ?? null)], 129, $context, $this->getSourceContext());
        echo "

                <div class=\"widget dynamic-fields\">
                    <div class=\"widget-title\">";
        // line 132
        echo __("Displays");
        echo "</div>
                    <div class=\"widget-body\">
                        <div class=\"FilterDiv card-body\" id=\"Filter\">
                            ";
        // line 135
        ob_start(function () { return ''; });
        echo __("Criteria");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 136
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("A comma separated set of regular expressions run against the Display name to determine membership.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_input", ["dynamicCriteria", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "dynamicCriteria", [], "any", false, false, false, 137), ($context["helpText"] ?? null), "dynamic-fields"], 137, $context, $this->getSourceContext());
        echo "

                            ";
        // line 139
        ob_start(function () { return ''; });
        echo __("Criteria Tags");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("A comma separated set of tags run against the Display tag to determine membership.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                            ";
        echo twig_call_macro($macros["forms"], "macro_inputWithTags", ["dynamicCriteriaTags", ($context["title"] ?? null), twig_get_attribute($this->env, $this->source, ($context["displayGroup"] ?? null), "dynamicCriteriaTags", [], "any", false, false, false, 141), ($context["helpText"] ?? null), "dynamic-fields"], 141, $context, $this->getSourceContext());
        echo "

                            ";
        // line 143
        echo twig_call_macro($macros["forms"], "macro_hidden", ["useRegexForName", 1], 143, $context, $this->getSourceContext());
        echo "
                        </div>

                        <div class=\"XiboData card pt-3\">
                            <table id=\"displayGroupDisplays\" class=\"table table-striped\">
                                <thead>
                                <tr>
                                    <th>";
        // line 150
        echo __("ID");
        echo "</th>
                                    <th>";
        // line 151
        echo __("Display");
        echo "</th>
                                    <th>";
        // line 152
        echo __("Tags");
        echo "</th>
                                    <th>";
        // line 153
        echo __("Status");
        echo "</th>
                                    <th>";
        // line 154
        echo __("Licence");
        echo "</th>
                                </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "displaygroup-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  346 => 154,  342 => 153,  338 => 152,  334 => 151,  330 => 150,  320 => 143,  314 => 141,  309 => 140,  305 => 139,  299 => 137,  294 => 136,  290 => 135,  284 => 132,  277 => 129,  272 => 128,  268 => 127,  265 => 126,  259 => 123,  251 => 119,  246 => 118,  242 => 117,  235 => 114,  231 => 113,  223 => 109,  218 => 108,  213 => 107,  211 => 106,  205 => 104,  200 => 103,  196 => 102,  190 => 100,  185 => 99,  181 => 98,  178 => 97,  173 => 95,  166 => 91,  161 => 89,  151 => 82,  148 => 81,  146 => 80,  139 => 78,  135 => 76,  131 => 75,  124 => 73,  87 => 38,  83 => 37,  77 => 34,  73 => 33,  66 => 32,  62 => 31,  57 => 28,  53 => 27,  48 => 24,  46 => 25,  39 => 24,);
    }

    public function getSourceContext()
    {
        return new Source("", "displaygroup-form-edit.twig", "/home/mgatv524/public_html/mctv/views/displaygroup-form-edit.twig");
    }
}
